2 commits - autogen.sh lib/Kolab

Jeroen van Meeuwen vanmeeuwen at kolabsys.com
Wed Jun 25 13:24:36 CEST 2014


 autogen.sh           |   64 +++++++++++++++++++++++++++++++++++++++++++++++++++
 lib/Kolab/Config.php |    2 -
 2 files changed, 65 insertions(+), 1 deletion(-)

New commits:
commit 92f8c8a6bb883d7778af2a9670ca1fc5853991eb
Author: Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen at kolabsys.com>
Date:   Thu May 22 14:02:12 2014 +0200

    Only prepend the base directory if it in fact is an absolute path, with basedir ../config we got ../config/../config/config.ini, which realpath() chokes on

diff --git a/lib/Kolab/Config.php b/lib/Kolab/Config.php
index 2aa49bb..c83e146 100644
--- a/lib/Kolab/Config.php
+++ b/lib/Kolab/Config.php
@@ -112,7 +112,7 @@ class Config
      */
     protected function resolve_path($file, $use_env)
     {
-        if ($file[0] != '/') {
+        if ($file[0] != '/' && $this->basedir[0] == '/') {
             $file = realpath($this->basedir . '/' . $file);
         }
 


commit 9999ec0df41ddfbd4a27e5a198874a891d6bb036
Author: Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen at kolabsys.com>
Date:   Wed May 21 00:02:39 2014 +0200

    Add an autogen.sh

diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..a805371
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,64 @@
+#!/bin/bash
+
+package="kolab-freebusy"
+
+roundcube_dir="../roundcubemail.git/"
+roundcube_plugins_dir="../roundcubemail-plugins-kolab.git/"
+
+if [ $# -ne 1 ]; then
+    echo "Usage: $0 <version>"
+    exit 1
+fi
+
+version=$1
+
+if [ ! -z "$(git tag -l | grep -E '${package}-${version}$')" ]; then
+    echo "Version ${version} already exists"
+    exit 1
+fi
+
+if [ ! -d "${roundcube_dir}/program/lib/Roundcube/" ]; then
+    echo "No directory ${roundcube_dir}/program/lib/Roundcube/"
+    exit 1
+fi
+
+if [ ! -d "${roundcube_plugins_dir}/plugins/" ]; then
+    echo "No directory ${roundcube_plugins_dir}/plugins/"
+    exit 1
+fi
+
+if [ -f "./composer.phar" ]; then
+    git clean -d -f -x
+    rm -rf vendor/
+fi
+
+cp -a ${roundcube_dir}/program/lib/Roundcube/ lib/Roundcube
+cp -a ${roundcube_plugins_dir}/plugins/ lib/plugins
+
+curl -sS https://getcomposer.org/installer | php
+
+if [ $? -ne 0 ]; then
+    echo "Getting composer failed... Bye!"
+    exit 1
+fi
+
+./composer.phar install --no-dev
+
+if [ $? -ne 0 ]; then
+    echo "Running ./composer.phar install failed... Bye!"
+    exit 1
+fi
+
+if [ -d "../${package}-${version}/" ]; then
+    rm -rf ../${package}-${version}/
+fi
+
+mkdir -p ../${package}-${version}/
+cp -a * ../${package}-${version}/.
+find ../${package}-${version}/ -type d -name ".git" -exec rm -rf {} \; 2>/dev/null
+
+pwd=$(pwd)
+pushd ..
+tar czvf ${pwd}/${package}-${version}+dep.tar.gz ${package}-${version}/
+popd
+git archive --prefix=${package}-${version}/ HEAD | gzip -c > ${package}-${version}.tar.gz




More information about the commits mailing list